/*
   Copyright (c) 2012 LinkedIn Corp.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.linkedin.d2.jmx;

import com.linkedin.d2.discovery.stores.PropertyStoreException;

import java.util.List;

public interface FileStoreJmxMBean
{
  String getPath();

  void put(String listenTo, String discoveryProperties) throws PropertyStoreException;

  String get(String listenTo) throws PropertyStoreException;

  void remove(String listenTo) throws PropertyStoreException;

  List<String> ls() throws PropertyStoreException;

  long getGetCount();

  long getPutCount();

  long getRemoveCount();
}
